My favorites | Sign in
Project Home Downloads Issues
New issue   Search
for
  Advanced search   Search tips   Subscriptions
Issue 22: Cannot start pkgbrowser after upgrading to pacman 4.1
1 person starred this issue and may be notified of changes. Back to list
Status:  Fixed
Owner:  kachel...@gmail.com
Closed:  Apr 2013


Sign in to add a comment
 
Reported by fan...@gmail.com, Apr 5, 2013
I use Arch Linux with x86_64 architecture, and PkgBrowser version 0.12. When I start PkgBrowser, I get

$ pkgbrowser
Traceback (most recent call last):
  File "/usr/lib/pkgbrowser/main.py", line 9, in <module>
    sys.exit(app.run())
  File "/usr/lib/pkgbrowser/lib/app.py", line 87, in run
    app.window().setup()
  File "/usr/lib/pkgbrowser/lib/app.py", line 49, in window
    from lib.window import Window
  File "/usr/lib/pkgbrowser/lib/window.py", line 16, in <module>
    from lib.backend import (
  File "/usr/lib/pkgbrowser/lib/backend.py", line 13, in <module>
    from lib import alpm, conf, utils
ImportError: libalpm.so.7: cannot open shared object file: No such file or directory


I recently upgraded to pacman 4.1, which has libalpm.so.8 and not libalpm.so.7 .

PkgBrowser is a tremendously useful piece of software to me, so I would love being able to continue using it. If this is the wrong forum for reporting this particular issue, I would be glad if you let me know.
Apr 5, 2013
#1 fan...@gmail.com
Hm, funny thing -- after reinstalling pkgbrowser from the AUR, the error message changes.

$ pkgbrowser
Traceback (most recent call last):
  File "/usr/lib/pkgbrowser/main.py", line 9, in <module>
    sys.exit(app.run())
  File "/usr/lib/pkgbrowser/lib/app.py", line 87, in run
    app.window().setup()
  File "/usr/lib/pkgbrowser/lib/app.py", line 49, in window
    from lib.window import Window
  File "/usr/lib/pkgbrowser/lib/window.py", line 16, in <module>
    from lib.backend import (
  File "/usr/lib/pkgbrowser/lib/backend.py", line 13, in <module>
    from lib import alpm, conf, utils
ImportError: /usr/lib/pkgbrowser/lib/alpm.so: undefined symbol: alpm_option_get_localdb
Apr 5, 2013
Project Member #2 kachel...@gmail.com
PkgBrowser won't work with pacman-4.1, which I haven't really looked at yet. I will try to make a compatible release with the next few days.
Status: Accepted
Labels: -Priority-Medium Priority-High
Apr 17, 2013
Project Member #3 kachel...@gmail.com
This issue was fixed in version 0.13.
Status: Fixed
Owner: kachel...@gmail.com
Sign in to add a comment

Powered by Google Project Hosting